<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_contctdetailsclr', 'luzuk_premium_contactus_section', 'Contact Details Settings ');

$wp_customize->add_setting(
	'contheading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Lets Talk', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contheading',
	array(
		'settings'      => 'contheading',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Heading', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'conttext',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'We’ve More Than 745,000 Apartments, Place & Plot.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conttext',
	array(
		'settings'      => 'conttext',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '207-8767-452', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone1',
	array(
		'settings'      => 'luzuk_contactus_phone1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@icecreammail.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '6 West Broadway, New York, <br> NY 10012, USA', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'appoi_sectionscalicn', 'luzuk_premium_contactus_section', 'Social Icon Links ');

// FACEBOOK
$wp_customize->add_setting('cntct_facebook', array('default'=> 'https://www.facebook.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('cntct_facebook',
    array(
        'settings'      => 'cntct_facebook',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);

//Instagram
$wp_customize->add_setting('cntct_instagram',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('cntct_instagram',
    array(
        'settings'      => 'cntct_instagram',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

//  TWITTER
$wp_customize->add_setting('cntct_twitter', array('default'=> 'https://twitter.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('cntct_twitter',
    array(
        'settings'      => 'cntct_twitter',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);

// Pinterest
$wp_customize->add_setting('cntct_pinterest', array('default'=> 'https://in.pinterest.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('cntct_pinterest',
    array(
        'settings'      => 'cntct_pinterest',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_sec_leftpageclr', 'luzuk_premium_contactus_section', 'Contact Details Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxheadingClr', 'luzuk_premium_contactus_section', 'Heading Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxtextClr', 'luzuk_premium_contactus_section', 'Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr', 'luzuk_premium_contactus_section', 'Icon Color', '#DE0F00');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Phone No. , Email, Address Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Email And Phone No. Hover Color', '#DE0F00');

addColorPalatOption($wp_customize, 'luzuk_contactus_sclicnColor', 'luzuk_premium_contactus_section', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_sclicnbgColor', 'luzuk_premium_contactus_section', 'Social Icon BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_sclicnbghvColor', 'luzuk_premium_contactus_section', 'Social Icon BG Hover Color', '#DE0F00');

$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_rightpageClr', 'luzuk_premium_contactus_section', 'Form Color');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#b0b0b0');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#FFD500');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#000');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));

